### Method

# Shell Global get_current_time

#### Declaration [src]

    guint32
    shell_global_get_current_time (
      ShellGlobal* global
    )

#### Description

No description available.

#### Return value

Type: `guint32`

The current X server time from the current Clutter, Gdk, or X event. If called from outside an event handler, this may return %Clutter.CURRENT_TIME (aka 0), or it may return a slightly out-of-date timestamp.